Subject: Re: [PATCH] archive: fix archive generation for empty trees

From: René Scharfe <[email-masked]>
Date: Thu, 08 Mar 2012 18:46:02 +0100

Am 08.03.2012 08:15, schrieb Jeff King:
> On Wed, Mar 07, 2012 at 10:38:07PM -0800, Junio C Hamano wrote:
>
>>> ... However, prefix_pathspec does a lot of magic parsing;
>>> it's unclear to me whether this is all in support of properly
>>> adding the prefix, or if its side effects are important.
>>
>> These "magic" are for things like :(root)/path that will explicitly
>> refuse the prefix when run from a subdirectory.
>
> Yeah, that was my impression. In that case, I would think we could get
> rid of the get_pathspec call entirely, as it is purely about fixing-up
> prefixes, and we know that we have none.

Yes, I think you're right.  Not sure why I didn't do that in ebfbdb34, 
when that empty prefix was introduced instead.

René